Summary: A toolset for transforming Prolog programs
Name: prolog-tools
Version: 0.2pre16985
Release: 1
License: LGPL
Group: Development/Languages/Stratego
URL: http://www.stratego-language.org
Source: prolog-tools-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: aterm >= 2.0
Requires: sdf2-bundle >= 2.0.1
Requires: strategoxt >= 0.9.5
Provides:  %{name} = %{version}

%description

%prep
%setup -q

%build
CFLAGS="-D__NO_CTYPE" ./configure --prefix=%{_prefix} --with-aterm=%{_prefix} --with-sdf=%{_prefix} --with-strategoxt=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}
#%{_libexecdir}
#%{_includedir}
%{_libdir}
%{_datadir}
%doc
#%{_prefix}/man/
#%{_prefix}/doc/

%changelog
